For the complete documentation index, see llms.txt. This page is also available as Markdown.

Parcel Information (Operations)

Endpoints to create and read the parcel information reported by a carrier.

List parcel information

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Returns all parcel information that match the given query parameters.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

entity to start after

Example: 019eefb1-4bd1-7ef0-98ba-f91e07243ea7
sizeinteger · min: 1 · max: 500Optional

number of entities to show. Max value is 500

Default: 25Example: 25
facilityRefsstring[]Optional

filter by facilityRefs

shippingInformationRefstringOptional

filter by shippingInformationRef

Example: 019eefb2-0001-7000-9000-100000000001
orderBystringOptional

the value by which results should be ordered by. If nothing is passed return values are sorted by id

Example: LAST_MODIFIED_DESC
withTotalbooleanOptional

if set to true, the total count of entities will be returned. Default is false

Example: true
Responses
200

Found parcel information that match the given query parameters.

application/json

ParcelInformationListResponse

totalintegerOptional

the total count of parcel information found by the given search criteria

Example: 42
get/api/parcelinformation
GET /api/parcelinformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "parcelInformationList": [
    {
      "anonymized": false,
      "created": "2026-04-15T08:02:01.956Z",
      "customAttributes": {},
      "dimensions": {
        "decimalPlaces": 0,
        "height": 30,
        "length": 40,
        "unit": "CENTIMETER",
        "width": 20
      },
      "facilityRef": "019eefb2-0001-7000-9000-100000000002",
      "id": "019eefb1-4bd1-7ef0-98ba-f91e07243ea7",
      "lastModified": "2026-04-15T08:02:01.956Z",
      "operativeProcessRef": "019eefb2-0001-7000-9000-100000000003",
      "parcelInformationLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ],
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1
          },
          "customAttributes": {},
          "globalLineItemId": "019eefb2-0001-7000-9000-200000000002",
          "id": "019eefb2-0001-7000-9000-200000000001",
          "quantity": 2,
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannableCodes": [
            "4006381333931"
          ],
          "substituteForOrderedItem": {
            "article": {
              "titleLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "attributes": [
                {
                  "valueLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "keyLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "category": "descriptive",
                  "context": {
                    "type": "FACILITY_GROUP",
                    "value": "text"
                  },
                  "key": "%%subtitle%%",
                  "priority": 100,
                  "type": "STRING",
                  "value": "585er Gold"
                }
              ],
              "imageUrl": "https://example.com/resource",
              "tenantArticleId": "4711",
              "title": "Cologne Water",
              "weight": 1
            },
            "globalLineItemId": "text"
          }
        }
      ],
      "processRef": "019eefb2-0001-7000-9000-100000000004",
      "shippingInformationRef": "019eefb2-0001-7000-9000-100000000001",
      "shortId": "FT-01",
      "version": 1,
      "weights": {
        "autoCalculated": {
          "decimalPlaces": 0,
          "unit": "GRAM",
          "weight": 500
        },
        "manuallySet": {
          "decimalPlaces": 0,
          "unit": "GRAM",
          "weight": 500
        }
      }
    }
  ],
  "total": 42
}

Create a parcel information

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new parcel information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ParcelInformationForCreation

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

shippingInformationRefstringRequired

Reference to related shipping information.

Example: 019eefb2-0001-7000-9000-100000000001
shortIdstringOptional

A short identifier that helps assigning a parcelInformation to a customer

Example: FT-01
Responses
201

Successfully created the parcel information.

application/json

ParcelInformation

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeRequired

Creation date of this parcelInformation

Example: 2026-04-15T08:02:01.956Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Reference to related facility

Example: 019eefb2-0001-7000-9000-100000000002
idstringRequired

Unique identifier of this parcelInformation

Example: 019eefb1-4bd1-7ef0-98ba-f91e07243ea7
lastModifiedstring · date-timeRequired

Last modification date of this parcelInformation

Example: 2026-04-15T08:02:01.956Z
operativeProcessRefstringRequired

Reference to related operative process.

Example: 019eefb2-0001-7000-9000-100000000003
processRefstringRequired

Reference to related process.

Example: 019eefb2-0001-7000-9000-100000000004
shippingInformationRefstringRequired

Reference to related shipping information.

Example: 019eefb2-0001-7000-9000-100000000001
shortIdstringOptional

A short identifier that helps assigning a parcelInformation to a customer

Example: FT-01
versionintegerRequired

Version number of this parcelInformation

Example: 1
post/api/parcelinformation
POST /api/parcelinformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1760

{
  "anonymized": false,
  "customAttributes": {},
  "dimensions": {
    "decimalPlaces": 0,
    "height": 30,
    "length": 40,
    "unit": "CENTIMETER",
    "width": 20
  },
  "parcelInformationLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "019eefb2-0001-7000-9000-200000000002",
      "quantity": 2,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "recordingRule": "MANDATORY",
          "validations": [
            {
              "allowedValues": [
                {
                  "type": "STRING"
                }
              ],
              "type": "EXACT_MATCH"
            }
          ],
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "4006381333931"
      ],
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "shippingInformationRef": "019eefb2-0001-7000-9000-100000000001",
  "shortId": "FT-01",
  "weights": {
    "manuallySet": {
      "decimalPlaces": 0,
      "unit": "GRAM",
      "weight": 500
    }
  }
}
{
  "anonymized": false,
  "created": "2026-04-15T08:02:01.956Z",
  "customAttributes": {},
  "dimensions": {
    "decimalPlaces": 0,
    "height": 30,
    "length": 40,
    "unit": "CENTIMETER",
    "width": 20
  },
  "facilityRef": "019eefb2-0001-7000-9000-100000000002",
  "id": "019eefb1-4bd1-7ef0-98ba-f91e07243ea7",
  "lastModified": "2026-04-15T08:02:01.956Z",
  "operativeProcessRef": "019eefb2-0001-7000-9000-100000000003",
  "parcelInformationLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "019eefb2-0001-7000-9000-200000000002",
      "id": "019eefb2-0001-7000-9000-200000000001",
      "quantity": 2,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "4006381333931"
      ],
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "processRef": "019eefb2-0001-7000-9000-100000000004",
  "shippingInformationRef": "019eefb2-0001-7000-9000-100000000001",
  "shortId": "FT-01",
  "version": 1,
  "weights": {
    "autoCalculated": {
      "decimalPlaces": 0,
      "unit": "GRAM",
      "weight": 500
    },
    "manuallySet": {
      "decimalPlaces": 0,
      "unit": "GRAM",
      "weight": 500
    }
  }
}

Get a parcel information by its ID

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single parcel information using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
parcelInformationIdstringRequired
Responses
200

Successfully retrieved the parcel information.

application/json

ParcelInformation

anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
createdstring · date-timeRequired

Creation date of this parcelInformation

Example: 2026-04-15T08:02:01.956Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Reference to related facility

Example: 019eefb2-0001-7000-9000-100000000002
idstringRequired

Unique identifier of this parcelInformation

Example: 019eefb1-4bd1-7ef0-98ba-f91e07243ea7
lastModifiedstring · date-timeRequired

Last modification date of this parcelInformation

Example: 2026-04-15T08:02:01.956Z
operativeProcessRefstringRequired

Reference to related operative process.

Example: 019eefb2-0001-7000-9000-100000000003
processRefstringRequired

Reference to related process.

Example: 019eefb2-0001-7000-9000-100000000004
shippingInformationRefstringRequired

Reference to related shipping information.

Example: 019eefb2-0001-7000-9000-100000000001
shortIdstringOptional

A short identifier that helps assigning a parcelInformation to a customer

Example: FT-01
versionintegerRequired

Version number of this parcelInformation

Example: 1
get/api/parcelinformation/{parcelInformationId}
GET /api/parcelinformation/{parcelInformationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "anonymized": false,
  "created": "2026-04-15T08:02:01.956Z",
  "customAttributes": {},
  "dimensions": {
    "decimalPlaces": 0,
    "height": 30,
    "length": 40,
    "unit": "CENTIMETER",
    "width": 20
  },
  "facilityRef": "019eefb2-0001-7000-9000-100000000002",
  "id": "019eefb1-4bd1-7ef0-98ba-f91e07243ea7",
  "lastModified": "2026-04-15T08:02:01.956Z",
  "operativeProcessRef": "019eefb2-0001-7000-9000-100000000003",
  "parcelInformationLineItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "customAttributes": {},
      "globalLineItemId": "019eefb2-0001-7000-9000-200000000002",
      "id": "019eefb2-0001-7000-9000-200000000001",
      "quantity": 2,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "scannableCodes": [
        "4006381333931"
      ],
      "substituteForOrderedItem": {
        "article": {
          "titleLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "https://example.com/resource",
          "tenantArticleId": "4711",
          "title": "Cologne Water",
          "weight": 1
        },
        "globalLineItemId": "text"
      }
    }
  ],
  "processRef": "019eefb2-0001-7000-9000-100000000004",
  "shippingInformationRef": "019eefb2-0001-7000-9000-100000000001",
  "shortId": "FT-01",
  "version": 1,
  "weights": {
    "autoCalculated": {
      "decimalPlaces": 0,
      "unit": "GRAM",
      "weight": 500
    },
    "manuallySet": {
      "decimalPlaces": 0,
      "unit": "GRAM",
      "weight": 500
    }
  }
}

List ParcelInformation (search)

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for ParcelInformation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ParcelInformationSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

ParcelInformationPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/parcelinformation/search
POST /api/parcelinformation/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4857

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "parcelInformationLineItems": {
              "contains": {
                "article": {
                  "tenantArticleId": "MY_ARTICLE_ID",
                  "title": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "like": "text",
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                }
              },
              "exists": true
            },
            "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "shortId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          }
        ],
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "parcelInformationLineItems": {
              "contains": {
                "article": {
                  "tenantArticleId": "MY_ARTICLE_ID",
                  "title": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "like": "text",
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                }
              },
              "exists": true
            },
            "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "shortId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          }
        ],
        "parcelInformationLineItems": {
          "contains": {
            "article": {
              "tenantArticleId": "MY_ARTICLE_ID",
              "title": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "like": "text",
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          },
          "exists": true
        },
        "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "shortId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      }
    ],
    "created": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "lastModified": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": "[Circular Reference]",
        "parcelInformationLineItems": {
          "contains": {
            "article": {
              "tenantArticleId": "MY_ARTICLE_ID",
              "title": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "like": "text",
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          },
          "exists": true
        },
        "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "shortId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      }
    ],
    "parcelInformationLineItems": {
      "contains": {
        "article": {
          "tenantArticleId": "MY_ARTICLE_ID",
          "title": {
            "eq": "text",
            "in": [
              "text"
            ],
            "like": "text",
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        }
      },
      "exists": true
    },
    "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "shortId": {
      "eq": "text",
      "in": [
        "text"
      ],
      "notEq": "text",
      "notIn": [
        "text"
      ]
    }
  },
  "size": 10,
  "sort": [
    {
      "created": "ASC",
      "lastModified": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "parcelInformationList": [
    {
      "anonymized": false,
      "created": "2026-04-15T08:02:01.956Z",
      "customAttributes": {},
      "dimensions": {
        "decimalPlaces": 0,
        "height": 30,
        "length": 40,
        "unit": "CENTIMETER",
        "width": 20
      },
      "facilityRef": "019eefb2-0001-7000-9000-100000000002",
      "id": "019eefb1-4bd1-7ef0-98ba-f91e07243ea7",
      "lastModified": "2026-04-15T08:02:01.956Z",
      "operativeProcessRef": "019eefb2-0001-7000-9000-100000000003",
      "parcelInformationLineItems": [
        {
          "article": {
            "titleLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "attributes": [
              {
                "valueLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "keyLocalized": {
                  "de_DE": "Wert",
                  "en_US": "Value",
                  "ru_RU": "значение"
                },
                "category": "descriptive",
                "context": {
                  "type": "FACILITY_GROUP",
                  "value": "text"
                },
                "key": "%%subtitle%%",
                "priority": 100,
                "type": "STRING",
                "value": "585er Gold"
              }
            ],
            "imageUrl": "https://example.com/resource",
            "tenantArticleId": "4711",
            "title": "Cologne Water",
            "weight": 1
          },
          "customAttributes": {},
          "globalLineItemId": "019eefb2-0001-7000-9000-200000000002",
          "id": "019eefb2-0001-7000-9000-200000000001",
          "quantity": 2,
          "recordableAttributes": [
            {
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "group": "general",
              "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "key": "country of origin",
              "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
              "recordingRule": "MANDATORY",
              "value": "Germany"
            }
          ],
          "scannableCodes": [
            "4006381333931"
          ],
          "substituteForOrderedItem": {
            "article": {
              "titleLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "attributes": [
                {
                  "valueLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "keyLocalized": {
                    "de_DE": "Wert",
                    "en_US": "Value",
                    "ru_RU": "значение"
                  },
                  "category": "descriptive",
                  "context": {
                    "type": "FACILITY_GROUP",
                    "value": "text"
                  },
                  "key": "%%subtitle%%",
                  "priority": 100,
                  "type": "STRING",
                  "value": "585er Gold"
                }
              ],
              "imageUrl": "https://example.com/resource",
              "tenantArticleId": "4711",
              "title": "Cologne Water",
              "weight": 1
            },
            "globalLineItemId": "text"
          }
        }
      ],
      "processRef": "019eefb2-0001-7000-9000-100000000004",
      "shippingInformationRef": "019eefb2-0001-7000-9000-100000000001",
      "shortId": "FT-01",
      "version": 1,
      "weights": {
        "autoCalculated": {
          "decimalPlaces": 0,
          "unit": "GRAM",
          "weight": 500
        },
        "manuallySet": {
          "decimalPlaces": 0,
          "unit": "GRAM",
          "weight": 500
        }
      }
    }
  ],
  "total": 1
}

Last updated

Was this helpful?